Package org.globus.io.streams

# Class GassInputStream

java.lang.Object
java.io.InputStream
org.globus.io.streams.GlobusInputStream
org.globus.io.streams.HTTPInputStream
org.globus.io.streams.GassInputStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class GassInputStream extends HTTPInputStream

## Field Summary

### Fields inherited from class org.globus.io.streams.HTTPInputStream

`input, size, socket`

## Constructor Summary

Constructors
Constructor
Description
`GassInputStream(String host, int port, String file)`
Opens Gass input stream in secure mode with default user credentials.
`GassInputStream(GSSCredential cred, Authorization auth, String host, int port, String file)`
Opens Gass input stream in secure mode with specified user credentials.

## Method Summary

Modifier and Type
Method
Description
`protected Socket`
`openSocket(String host, int port)`

### Methods inherited from class org.globus.io.streams.HTTPInputStream

`abort, available, close, get, getSize, read, read, read`

### Methods inherited from class java.io.InputStream

`mark, markSupported, nullInputStream, readAllBytes, readNBytes, readNBytes, reset, skip, skipNBytes, transferTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GassInputStream

public GassInputStream(String host, int port, String file) throws GassException, GSSException, IOException
Opens Gass input stream in secure mode with default user credentials.

Parameters:
  `host` - host name of the gass server
  `port` - port number of the gass server
  `file` - file to retrieve from the server
Throws:
  `GassException`
  `GSSException`
  `IOException`

### GassInputStream

public GassInputStream(GSSCredential cred, Authorization auth, String host, int port, String file) throws GassException, GSSException, IOException
Opens Gass input stream in secure mode with specified user credentials.

Parameters:
  `cred` - user credentials to use
  `host` - host name of the gass server
  `port` - port number of the gass server
  `file` - file to retrieve from the server
Throws:
  `GassException`
  `GSSException`
  `IOException`

## Method Details

### openSocket

protected Socket openSocket(String host, int port) throws IOException

Overrides:
  `openSocket` in class `HTTPInputStream`
Throws:
  `IOException`